%define gitname	MageiaSync
%define oname	mageiaSync

Name:		mageiasync
Version:	0.3.5
Release:	%mkrel 1
Summary:	A frontend to rsync for Mageia usage
License:	GPLv3
Group:		Development/Python
URL:		http://gitweb.mageia.org/qa/MageiaSync/about/
Source0:	http://gitweb.mageia.org/qa/MageiaSync/snapshot/%{gitname}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	python3-qt5-devel
BuildRequires:	qttools5

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
Requires:	python3-gnupg
Requires:	python3-sip
Requires:	rsync

Obsoletes:	python-mageiasync < 0.1.7-2
Provides:	python-mageiasync = %{version}-%{release}

%description
A tool for downloading ISO images from repository (mirror) or Mageia
testing repository. It uses rsync at main. Its aim is to be a tool
like dorsync with GUI.


%prep
%autosetup -n %{gitname}-%{version}

%build
%py3_build

%install
%py3_install

%files
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{oname}
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Mar 13 2017 akien <akien> 0.3.5-1.mga6
+ Revision: 1092366
- Version 0.3.5

* Sun Dec 18 2016 daviddavid <daviddavid> 0.3.4-1.mga6
+ Revision: 1076022
- new version: 0.3.4

* Fri Nov 11 2016 daviddavid <daviddavid> 0.3.3-1.mga6
+ Revision: 1066358
- new version: 0.3.3

* Mon Jun 27 2016 akien <akien> 0.3.2-3.mga6
+ Revision: 1037869
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.3.2-2.mga6
+ Revision: 1037538
- Rebuild for python-sip 4.18

* Wed May 25 2016 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 1018410
- new version: 0.3.2

* Tue May 10 2016 daviddavid <daviddavid> 0.3.0-2.mga6
+ Revision: 1012324
- fix a typo in description

* Tue May 10 2016 daviddavid <daviddavid> 0.3.0-1.mga6
+ Revision: 1011998
- new version: 0.3.0
- add python3-gnupg as a requires

* Mon Mar 14 2016 daviddavid <daviddavid> 0.2.1-1.mga6
+ Revision: 990682
- new version: 0.2.1 (fixes mga#17996)

* Sat Jan 16 2016 akien <akien> 0.1.7-2.mga6
+ Revision: 924644
- Properly obsolete python-mageiasync from mga5 core/updates

* Mon Nov 23 2015 daviddavid <daviddavid> 0.1.7-1.mga6
+ Revision: 905037
- new version: 0.1.7

* Thu Nov 19 2015 daviddavid <daviddavid> 0.1.6-1.mga6
+ Revision: 904240
- new version: 0.1.6
- now switches to python 3

* Mon Sep 21 2015 daviddavid <daviddavid> 0.1.5-3.mga6
+ Revision: 882018
- switch to new python2 macros

* Mon Jul 20 2015 daviddavid <daviddavid> 0.1.5-2.mga6
+ Revision: 855797
- rename package to mageiasync instead of python-mageiasync
- obsoletes and provides old name on python-mageiasync

* Sat May 02 2015 daviddavid <daviddavid> 0.1.5-1.mga5
+ Revision: 821025
- new version: 0.1.5
  * http://gitweb.mageia.org/qa/MageiaSync/plain/CHANGELOG

* Sun Mar 01 2015 daviddavid <daviddavid> 0.1.4-1.mga5
+ Revision: 817220
- new version: 0.1.4

* Sat Feb 21 2015 daviddavid <daviddavid> 0.1.3-1.mga5
+ Revision: 816218
- new version: 0.1.3
- improve description
- update file list
- update Url and Source Url
- update BuildRequires

* Tue Dec 02 2014 akien <akien> 0.1.2-1.mga5
+ Revision: 800413
- Version 0.1.2

* Sun Oct 26 2014 daviddavid <daviddavid> 0.1.1-1.mga5
+ Revision: 793511
- new version: 0.1.1

* Tue Oct 21 2014 daviddavid <daviddavid> 0.1-1.mga5
+ Revision: 792335
- imported package python-mageiasync

